using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableretirementResignaddreason : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Comment",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "Reason",
                table: "RetirementQuestions");

            migrationBuilder.AddColumn<string>(
                name: "Adjust",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "อะไรคือสิ่งที่ท่านเห็นว่าควรปรับปรุง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "AdjustOther",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "อื่นๆ อะไรคือสิ่งที่ท่านเห็นว่าควรปรับปรุง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ExitFactor",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "ปัจจัยใดที่ทำให้ท่านตัดสินใจลาออกจากราชการ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ExitFactorOther",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "อื่นๆ ปัจจัยใดที่ทำให้ท่านตัดสินใจลาออกจากราชการ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "FutureWork",
                table: "RetirementQuestions",
                type: "tinyint(1)",
                nullable: true,
                comment: "หากท่านมีโอกาสในอนาคต ท่านอยากกลับมาร่วมงานกับกรุงเทพมหานครหรือไม่");

            migrationBuilder.AddColumn<string>(
                name: "FutureWorkReason",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลหากท่านมีโอกาสในอนาคต ท่านอยากกลับมาร่วมงานกับกรุงเทพมหานครหรือไม่")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "Havejob",
                table: "RetirementQuestions",
                type: "tinyint(1)",
                nullable: true,
                comment: "ท่านมีงานใหม่หรือไม่และอะไรคือสิ่งที่ที่ทำงานใหม่ให้กับท่าน ซึ่งท่านรู้สึกว่าเป็นที่น่าพอใจมากกว่าการปฏิบัติราชการกับกรุงเทพมหานคร");

            migrationBuilder.AddColumn<string>(
                name: "HavejobReason",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลท่านมีงานใหม่หรือไม่และอะไรคือสิ่งที่ที่ทำงานใหม่ให้กับท่าน ซึ่งท่านรู้สึกว่าเป็นที่น่าพอใจมากกว่าการปฏิบัติราชการกับกรุงเทพมหานคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "NotExitFactor",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "ปัจจัยใดที่จะช่วยทำให้ท่านเปลี่ยนใจ ไม่อยากลาออกจากการปฏิบัติราชการกับกรุงเทพมหานคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "RealReason",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "โปรดระบุสาเหตุที่แท้จริง ที่ทำให้ท่านตัดสินใจลาออกจากการปฏิบัติราชการกับกรุงเทพมหานคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ReasonWork",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "เหตุใดท่านจึงตัดสินใจร่วมงานกับกรุงเทพมหานคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ReasonWorkOther",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "อื่นๆ เหตุใดท่านจึงตัดสินใจร่วมงานกับกรุงเทพมหานคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "SuggestFriends",
                table: "RetirementQuestions",
                type: "tinyint(1)",
                nullable: true,
                comment: "ท่านจะแนะนำเพื่อนให้มาร่วมงานกับกรุงเทพมหานครหรือไม่");

            migrationBuilder.AddColumn<string>(
                name: "SuggestFriendsReason",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลท่านจะแนะนำเพื่อนให้มาร่วมงานกับกรุงเทพมหานครหรือไม่")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Suggestion",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "ความคิดเห็นและข้อเสนอแนะอื่น ๆ ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "TimeThink",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "สำหรับการลาออกในครั้งนี้ ท่านได้คิดทบทวนอย่างจริงจังเป็นระยะเวลานานเท่าใด")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Adjust",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "AdjustOther",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "ExitFactor",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "ExitFactorOther",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "FutureWork",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "FutureWorkReason",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "Havejob",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "HavejobReason",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "NotExitFactor",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "RealReason",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "ReasonWork",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "ReasonWorkOther",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "SuggestFriends",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "SuggestFriendsReason",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "Suggestion",
                table: "RetirementQuestions");

            migrationBuilder.DropColumn(
                name: "TimeThink",
                table: "RetirementQuestions");

            migrationBuilder.AddColumn<string>(
                name: "Comment",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "สิ่งที่คุณต้องการจะบอกเรา?")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Reason",
                table: "RetirementQuestions",
                type: "longtext",
                nullable: true,
                comment: "ทำไมคุณถึงลาออก?")
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
